# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TOpenSessionResp

Packages that use TOpenSessionResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TOpenSessionResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TOpenSessionResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.OpenSession_call`
`static class`
`TCLIService.AsyncProcessor.OpenSession<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TOpenSessionResp
Modifier and Type
Class
Description
`class`
`TOpenSessionResp`
`class`
`TOpenSessionResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TOpenSessionResp
Modifier and Type
Field
Description
`TOpenSessionResp`
TCLIService.OpenSession_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TOpenSessionResp
Modifier and Type
Method
Description
`TOpenSessionResp`
TOpenSessionResp.`deepCopy()`
`TOpenSessionResp`
TCLIService.AsyncClient.OpenSession_call.`getResult()`
`TOpenSessionResp`
TCLIService.OpenSession_result.`getSuccess()`
`TOpenSessionResp`
TCLIService.Client.`OpenSession(TOpenSessionReq req)`
`TOpenSessionResp`
TCLIService.Iface.`OpenSession(TOpenSessionReq req)`
`TOpenSessionResp`
TCLIService.Client.`recv_OpenSession()`
`TOpenSessionResp`
TOpenSessionResp.`setCanUseMultipleCatalogs(boolean canUseMultipleCatalogs)`
`TOpenSessionResp`
TOpenSessionResp.`setConfiguration(Map<String,String> configuration)`
`TOpenSessionResp`
TOpenSessionResp.`setGetInfos(List<TGetInfoValue> getInfos)`
`TOpenSessionResp`
TOpenSessionResp.`setInitialNamespace(TNamespace initialNamespace)`
`TOpenSessionResp`
TOpenSessionResp.`setServerProtocolVersion(TProtocolVersion serverProtocolVersion)`
`TOpenSessionResp`
TOpenSessionResp.`setSessionHandle(TSessionHandle sessionHandle)`
`TOpenSessionResp`
TOpenSessionResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TOpenSessionResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp>`
TCLIService.AsyncProcessor.OpenSession.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOpenSessionResp
Modifier and Type
Method
Description
`int`
TOpenSessionResp.`compareTo(TOpenSessionResp other)`
`boolean`
TOpenSessionResp.`equals(TOpenSessionResp that)`
`TCLIService.OpenSession_result`
TCLIService.OpenSession_result.`setSuccess(TOpenSessionResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TOpenSessionResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`void`
TCLIService.AsyncIface.`OpenSession(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.OpenSession.`start(I iface, TCLIService.OpenSession_args args, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TOpenSessionResp
Modifier
Constructor
Description
``
`OpenSession_result(TOpenSessionResp success)`
``
`TOpenSessionResp(TOpenSessionResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TOpenSessionResp
Modifier
Constructor
Description
``
`OpenSession_call(TOpenSessionReq req, org.apache.thrift.async.AsyncMethodCallback<TOpenSessionResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`